@echo off
echo ***************************************************
echo * install firmware version 4.5.0 downgrade files  *
echo * for DUE61x0 and DUE7000 drive units to folder   *
echo * C:\ProgramData\E-tube Project\FW                *
echo ***************************************************

if not exist "C:\ProgramData\E-tube Project\FW" goto NO_FOLDER_FOUND_LABEL

if exist "C:\ProgramData\E-tube Project\FW\DUE6100-D.5.5.0.dat" goto NO_CLEANUP_DONE_LABEL
if exist "C:\ProgramData\E-tube Project\FW\DUE6100-M.5.4.0.dat" goto NO_CLEANUP_DONE_LABEL

:START_AGAIN_LABEL
if not exist "C:\ProgramData\E-tube Project\FW\DUE6100-D.5.5.0.dat" copy "DUE6100-D.5.5.0.dat" "C:\ProgramData\E-tube Project\FW"
if not exist "C:\ProgramData\E-tube Project\FW\DUE6100-M.5.4.0.dat" copy "DUE6100-M.5.4.0.dat" "C:\ProgramData\E-tube Project\FW"

if not exist "C:\ProgramData\E-tube Project\FW\DUE6100-D.5.5.0.dat" goto FILE_NOT_COPIED_LABEL
if not exist "C:\ProgramData\E-tube Project\FW\DUE6100-M.5.4.0.dat" goto FILE_NOT_COPIED_LABEL

echo.
echo ...downgrade files successfully installed!
echo.
echo now you can run eTube 3.4.5 and update your motor unit (DUE61x0 or DUE7000) to
echo the indicated version 5.5.0 (which is factual motor firmware 4.5.0)
echo.
goto END_LABEL

:NO_CLEANUP_DONE_LABEL
echo.
echo WARNING: 
echo it is most likely there was no CleanUp (step 5) done
echo after processing the last downgrade. 
echo the old downgrade files will be erased now...
if exist "C:\ProgramData\E-tube Project\FW\DUE6100-D.5.5.0.dat" del "C:\ProgramData\E-tube Project\FW\DUE6100-D.5.5.0.dat"
if exist "C:\ProgramData\E-tube Project\FW\DUE6100-M.5.4.0.dat" del "C:\ProgramData\E-tube Project\FW\DUE6100-M.5.4.0.dat"
echo.
goto START_AGAIN_LABEL

:NO_FOLDER_FOUND_LABEL
echo.
echo ERROR: could not find folder "C:\ProgramData\E-tube Project\FW"!
echo.
goto END_LABEL

:FILE_NOT_COPIED_LABEL
echo.
echo ERROR: problem with copying file(s) to destination folder!
echo.
goto END_LABEL

:END_LABEL
pause
